import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.io.IOException;

/**
 * The world where everything lives.
 * 
 * @author Michael Berry (mjrb4)
 * @version 29/12/10
 */
public class PicoWorld  extends World
{
    /** Change this to the port the board is plugged into. */
    // public static final String PORT = "COM3";
    public static final String PORT = null;
    
    private static GreenPicoBoard board;
    
    /**
     * Create and initialise the world.
     */
    public PicoWorld() {
        super(400, 300, 1);        
    }
    
    /**
     * Leave this line in place!
     */
    public void started() {
        board = new GreenPicoBoard(PORT);
    }
    
    /**
     * Leave this line in place!
     */
    public void stopped() {
        board.close();
    }
}
